Bug 4534 - [UPDATE REQUEST] lftp 4.6.0
: [UPDATE REQUEST] lftp 4.6.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-15 15:12 MSD by Denis Silakov
Modified: 2014-10-17 09:32 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-10-15 15:12:04 MSD
New release of lftp is available with a set of bug fixes and new features such as torrent sharing.
Comment 1 Denis Silakov 2014-10-15 15:23:47 MSD
Advisory:

Updated lftp to version 4.6.0 with a set of bug fixes and new features such as torrent sharing. complete changelog is available here: http://lftp.yar.ru/news.html

Build lists:
https://abf.io/build_lists/2305584
https://abf.io/build_lists/2305585
Comment 2 FirstLevel 2014-10-16 12:29:08 MSD
If I update packages all works well: I have updated successfully on 32 and 64 bit systems. And lftp works for such ussual operations as open, get, mirror, ls and other for user and root.
Then I have removed original lftp and installed new package.
But starting of lftp has finished with error:
[root@r4 ~]# lftp
lftp: symbol lookup error: lftp: undefined symbol: _ZN7CmdExec11AtTerminateEv
I think it is not good.
Comment 3 Denis Silakov 2014-10-16 12:35:11 MSD
Yes, I see the issue, will fix it soon.
Comment 4 Denis Silakov 2014-10-16 13:23:02 MSD
New build lists:

https://abf.io/build_lists/2309624
https://abf.io/build_lists/2309623

(added a fix which will forbid updating lftp without updating its libraries).
Comment 5 FirstLevel 2014-10-16 14:35:28 MSD
lftp-4.6.0-2
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2309624/x86_64/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2309623/i586/main/release/
************************ Advisory **********************
Updated lftp to version 4.6.0 with a set of bug fixes and new features such as torrent sharing. complete changelog is available here: http://lftp.yar.ru/news.html
********************************************************
QA Verified